Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.settings
Interface Settings

All Known Implementing Classes:
  SettingsImpl, XmlBeansSettingsImpl

    public interface Settings

Base interface for settings available in the soapui model

Author:
  Ole.Matzura

Method Summary
`void` | `addSettingsListener(SettingsListener listener)`
`void` | `clearSetting(java.lang.String id)`
`boolean` | `getBoolean(java.lang.String id)` booleans always default to false..
`long` | `getLong(java.lang.String id, long defaultValue)`
`java.lang.String` | `getString(java.lang.String id, java.lang.String defaultValue)`
`boolean` | `isSet(java.lang.String id)`
`void` | `removeSettingsListener(SettingsListener listener)`
`void` | `setBoolean(java.lang.String id, boolean value)`
`void` | `setLong(java.lang.String id, long value)`
`void` | `setString(java.lang.String id, java.lang.String value)`

Method Detail

### getString

    java.lang.String getString(java.lang.String id,
                               java.lang.String defaultValue)

### setString

    void setString(java.lang.String id,
                   java.lang.String value)

### getBoolean

    boolean getBoolean(java.lang.String id)

  booleans always default to false..

### setBoolean

    void setBoolean(java.lang.String id,
                    boolean value)

### addSettingsListener

    void addSettingsListener(SettingsListener listener)

### removeSettingsListener

    void removeSettingsListener(SettingsListener listener)

### clearSetting

    void clearSetting(java.lang.String id)

### getLong

    long getLong(java.lang.String id,
                 long defaultValue)

### isSet

    boolean isSet(java.lang.String id)

### setLong

    void setLong(java.lang.String id,
                 long value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.